Data::Perl::String::MooseLike(3)

NAME
Data::Perl::String::MooseLike - data::Perl::String subclass that simulates Moose's native traits.

VERSION
version 0.001009

SYNOPSIS
  use Data::Perl::Collection::String::MooseLike;

  my $string = Data::Perl::Collection::String::MooseLike->new("this is a string\n");

  $string->chomp;

  $string->substr(); # etc

DESCRIPTION
This class provides a wrapper and methods for interacting with a string. All methods are written to emulate/match existing behavior that exists with Moose's native traits. You should probably be looking at Data::Perl's documentation instead.

SEE ALSO

•   Data::Perl

•   Data::Perl::Role::Collection::String

AUTHOR
Toby Inkster <tobyink@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2020 by Matthew Phillips <mattp@cpan.org>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.